<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Entities\Import\Enums;

/**
 * Enum StavEnum
 *
 * @package Seka\Portal\Modul\Statistiky\Entities\Import\Enums
 */
enum StavEnum: string
{
    case SPUSTENY = 'SPUSTENY';
    case DOKONCENY = 'DOKONCENY';
    case NEUSPESNY = 'NEUSPESNY';
    case PRERUSENY = 'PRERUSENY';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::SPUSTENY => 'spustený',
            self::DOKONCENY => 'dokončený',
            self::NEUSPESNY => 'neúspešný',
            self::PRERUSENY => 'prerušený',
        };
    }

    /**
     * @return string
     */
    public function color(): string
    {
        return match ($this) {
            self::SPUSTENY => '#cddafd',
            self::DOKONCENY => '#bee1e6',
            self::NEUSPESNY => '#eebbaa',
            self::PRERUSENY => '#fad2e1',
        };
    }
}
